import path_setting
from in_common.base_request import BaseRequest


class scan_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.SCAN_DIARY_CARDS_CONFIG)

    # 测颜值底部feed流
    def scan_diary_cards(self, current_city_id, page,count, feature_results, feed_type):
        self.params["current_city_id"] = current_city_id
        self.params["page"] = page
        self.params["count"] = count
        self.params["feature_results"] = feature_results
        self.params["feed_type"] = feed_type
        return self.api_send(self.data["scan_diary_cards"])


if __name__ == '__main__':
    print(scan_request().scan_diary_cards("beijing",1,10,'["细凤眼","眼距过宽","双眼皮","一字眉","流畅","厚唇","宽鼻翼","重度眼袋","尖下巴","无法令纹","娃娃脸",""]',1))
